Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362196 - aaa: Add support for dynamic porting
Summary: aaa: Add support for dynamic porting
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: AAA
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: ovirt-4.0.4
: 4.0.4
Assignee: Ravi Nori
QA Contact: Aleksei Slaikovskii
URL:
Whiteboard:
Depends On:
Blocks: 1353093 1376330
TreeView+ depends on / blocked
 
Reported: 2016-08-01 13:41 UTC by Ravi Nori
Modified: 2016-11-11 05:10 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
A new configuration variable called ENGINE_SSO_INSTALLED_ON_ENGINE_HOST has been added. This flag can be used to specify if the SSO service is installed on the same host as the engine or installed on a different host. If this flag is set to true, the URL and port used to access the Manager is used to redirect to the login page. If this flag is set to false, the value set in ENGINE_SSO_AUTH_URL is used to redirect user to the login page.
Clone Of:
: 1376330 (view as bug list)
Environment:
Last Closed: 2016-09-26 12:31:05 UTC
oVirt Team: Infra
rule-engine: ovirt-4.0.z+
mgoldboi: planning_ack+
mperina: devel_ack+
pstehlik: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 61249 master MERGED aaa: Add support for dynamic porting 2016-08-02 10:27:12 UTC
oVirt gerrit 61846 ovirt-engine-4.0 MERGED aaa: Add support for dynamic porting 2016-08-03 07:42:22 UTC

Description Ravi Nori 2016-08-01 13:41:00 UTC
Description of problem: When the manager is behind a NAT network (with port-forwarding to the correct https port) the landing page tries to redirect the browser back to port 80, resulting in failure to see login page.

Version-Release number of selected component (if applicable): 4.0


How reproducible: 


Steps to Reproduce:
1. Setup port forwarding
2. Access engine using alternate port

Actual results: Engine redirects request to port 80.


Expected results: Engine uses port number from request.

Comment 1 Martin Perina 2016-08-02 10:28:17 UTC
Moving back to POST, we need backport to ovirt-engine-4.0 branch

Comment 3 Aleksei Slaikovskii 2016-09-13 13:16:11 UTC
Verified rhevm-4.0.4.1-0.1.el7ev.noarch


Note You need to log in before you can comment on or make changes to this bug.